// @ts-check
import { defineConfig } from 'astro/config';
import solidJs from '@astrojs/solid-js';
import tailwindcss from '@tailwindcss/vite';
import { default as astroIcon } from 'astro-icon';
import mdx from '@astrojs/mdx';
import node from '@astrojs/node';
import sitemap from '@astrojs/sitemap';

// https://astro.build/config
export default defineConfig({
  site: 'https://minivan-berlin.de',
  integrations: [astroIcon(), solidJs(), mdx(), sitemap()],
  prefetch: true,
  vite: {
    plugins: [tailwindcss()],
    envPrefix: ['MAIL_', 'SMTP_', 'SENDER_', 'ADMIN_'],
  },
  output: 'server',
  adapter: node({ mode: 'standalone' }),
});